Subject: bug#34801: "make check" of grep 3.1 "backref-alt" was passed

From: Bruce Dubbs <[email-masked]>
Date: Sun, 10 Mar 2019 13:12:45 -0500

On 3/10/19 4:07 AM, William Li wrote:
> This is a follow-up containing the test-suite log. I sent the email inside
> the box this time.
> 
> William Li <[email-masked]> 于2019年3月10日周日 上午12:26写道：
> 
>> To GNU Grep Bug team,
>>
>> I was building grep 3.1 for Linux From Scratch 8.3 Chapter 5.25 when the
>> test suite(make check) returned one "XPASS." I was told by the suite to
>> make a bug report and here it is.
>>
>> I am running Windows 7 64-bit with VirtualBox 52.22
>> I've allocated the box 2G of RAM and 2 2GHz cores.
>> Inside the box, it is Ubuntu 18.04 64-bit.
>>
>> Since I am running the whole thing inside a virtual box, it is hard for me
>> to email the actual log contents(I am writing from outside). Let me know if
>> you need the test-suite.log file.

Obviously, the report is out of date.  Here is the log for the LFS 
reference build of grep 3.3:

http://www.linuxfromscratch.org/lfs/build-logs/8.4/test-logs/099-
grep-3.3

   -- Bruce Dubbs
      linuxfromscratch.org